Subject: Re: linux-next: build failure after merge of the bpf-next tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 25 Aug 2020 13:04:45 +1000

Hi Alexei,

On Mon, 24 Aug 2020 18:25:44 -0700 Alexei Starovoitov <[email-masked]> wrote:
>
> On Mon, Aug 24, 2020 at 6:20 PM Stephen Rothwell <[email-masked]> wrote:
> >
> > On Fri, 21 Aug 2020 11:11:11 +1000 Stephen Rothwell <[email-masked]> wrote:  
> > >
> > > After merging the bpf-next tree, today's linux-next build (x86_64
> > > allmodconfig) failed like this:
> > >
> > > Auto-detecting system features:
> > > ...                        libelf: [  [31mOFF [m ]
> > > ...                          zlib: [  [31mOFF [m ]
> > > ...                           bpf: [  [32mon [m  ]
> > >
> > > No libelf found
> > > make[5]: *** [Makefile:284: elfdep] Error 1
> > >
> > > Caused by commit
> > >
> > >   d71fa5c9763c ("bpf: Add kernel module with user mode driver that populates bpffs.")
> > >
> > > [For a start, can we please *not* add this verbose feature detection
> > > output to the nrormal build?]
> > >
> > > This is a PowerPC hosted cross build.
> > >
> > > I have marked BPF_PRELOAD as BROKEN for now.  
> >
> > Still getting this failure ...  
> 
> I don't have powerpc with crosscompiler to x86 to reproduce.
> What exactly the error?

Just as above.

> bpf_preload has:
> "depends on CC_CAN_LINK"
> which is exactly the same as bpfilter.
> You should have seen this issue with bpfilter for years now.

Well, I haven't :-)  It just started the other day when that commit
appeared.

-- 
Cheers,
Stephen Rothwell